Unreleased — 2026-08-24 *** version="3.3.3"***

Hlavní změny
- **Seriály — návrat po aktualizaci epizody:** po kontextové akci „Aktualizovat tuto epizodu (smart)“ (a po detekci CZdab/CZtit u epizody) už stačí jedno „.." pro návrat o úroveň výš.
- **Nástroje a údržba — záloha nastavení:** menu dříve nazvané „Experimentální funkce“ přejmenováno. Přibyla záloha a obnova nastavení doplňku (3 lokální kopie + CloudSync záloha zvlášť pro každé zařízení, aby se PC a Android nepřepisovaly). Záloha probíhá i automaticky při změně nastavení a při odchodu z doplňku.

Unreleased — 2026-08-11 *** version="3.3.2"***

Hlavní změny
- **Trakt.tv — stránkování opraveno:** v seznamech Trending (filmy i seriály) a ve veřejných seznamech už „Další strana" správně pokračuje na třetí a další strany (dříve se cyklila druhá strana). Návrat na předchozí stranu standardně přes „..".
- **Seriály — datum posledního zhlédnutí:** sjednocen formát ukládání data u epizod; správné řazení podle skutečného posledního zhlédnutí (projeví se i ve webovém Mediabrowseru po synchronizaci).
- **Trakt synchronizace — spolehlivější:** neúspěšná synchronizace (např. vypršelý token) se už nezapíše jako úspěšná a zopakuje se při dalším startu Kodi.
- **Databáze titulů — čitelné názvy:** korejské, japonské a jiné non-latin originály se v databázi nahrazují anglickým titulem; audit automaticky opraví i staré záznamy včetně chybně prohozených typů film/seriál.
- **ČSFD detail (rozšířený) — opraven:** kontextová nabídka opět zobrazuje herce a hodnocení (oprava načítání dat z TMDb i obejití nové bot ochrany na csfd.cz).

Unreleased — 2026-07-14 *** version="3.3.0"***
    
    Oprava scrobble pro trakt

Unreleased — 2026-06-06 *** version="3.2.5"***

    Drobné opravy 


Unreleased — 2026-05-22 *** version="3.2.4"***

    Drobné opravy 

Unreleased — 2026-05-04 *** version="3.2.2"***

Hlavní změny
- **Seriály — „Epizody ke sledování" opraveny:** sekce teď zobrazuje jen seriály, které jste skutečně začali sledovat. Nově zařazené seriály (bez jediného záznamu o přehrání) se zde už neobjevují.
- **Seriály — reset stavu epizody je trvalý:** akce „Vymazat stav" přestala být přepisována automatickou synchronizací; stav se po refreshi správně zachová.
- **Seriály — okamžitá aktualizace filtrovaných sekcí:** po ručním označení nebo resetu epizody/sezóny se sekce „Nově zařazené", „Rozkoukané" a „Dokončené" okamžitě přepočítají (cache se invaliduje).
- **Seriály — výběr offline vs. stream:** pokud máte epizodu staženou offline a zároveň jsou dostupné online streamy, doplněk zobrazí dialog s volbou **„Přehrát offline"** / **„Vybrat uložený stream"**. Platí pro sekci „Epizody ke sledování" i pro menu sezón. Výchozí volba je offline.

Unreleased — 2026-04-28 *** version="3.2.1"***

Hlavní změny
- **Diagnostika / support log:** akce **„Uložit log doplňku do souboru"** nyní po lokálním uložení automaticky nahraje log i na FTP do globální složky `Logy`. Při výpadku FTP zůstává lokální uložení plně funkční a doplněk jen zobrazí upozornění na neúspěšný upload.


*** 27.4.2026 ***version="3.2.0"***
Hlavní změny 
-   ***Zvýraznění nabídek v kontext menu pro odlišení od systémových nabídek
-   *** Drobné opravy v UI ( zobrazení nově vyhledaného seriálu )

*** Unreleased — 2026-04-24 version="3.1.9"***

Hlavní změny
- **Trakt scrobble je odolnější při dlouhém běhu Kodi:** token se nově kontroluje i ve službě na pozadí a průběžně obnovuje, takže scrobble STOP nespoléhá jen na jednorázový refresh při otevření doplňku.
- **Seriály — mazání sezóny/epizody opraveno:** kontextové akce pro odebrání sezóny nebo epizody už používají aktuální SQLite úložiště a ne starý JSON zápis.
- **Seriály — nové akce u konkrétní epizody:** v kontextové nabídce epizody přibylo **„Aktualizovat tuto epizodu (smart)"** a **„Detekovat CZdab/CZtit (epizoda)"**. Obě akce pracují jen s vybranou epizodou, ne s celou sezónou.

*** Unreleased — 2026-04-23 version="3.1.8"***

Hlavní změny
- **Seriály — značky probe u sezón a epizod:** u řádku sezóny a epizody se na konci labelu může objevit **`[ff]`** (aspoň jeden stream v rozsahu byl detekován přes **ffprobe**, typicky Windows) a/nebo **`[rg]`** (aspoň jeden přes **HTTP range** probe, typicky Android). Slouží jen jako rychlá orientace, že už proběhla file detekce a kterou větví; tagy `[CZdab]` / `[CZtit]` v epizodách zůstávají jako dřív.
- **Seriály — hromadné hledání nových epizod:** v hlavním menu Seriálů položka **„Hledat nové epizody (všechny seriály)"**. Projde knihovnu a u seriálů, kde podle `air_date` chybí streamy u už odvysílaných epizod (nebo chybí díl oproti TMDb), spustí cílené dohledání `SxxExx` bez „širokého“ refreshu celé knihovny. Ukončené seriály (TMDb Ended/Canceled) přeskočí; na konci textový report.


*** 22.4.2026 ***version="3.1.7"***
Hlavní změny
- **Offline stahování sezóny/seriálu má nový interaktivní přehled před zařazením do fronty:** po výběru kvality se zobrazí seznam všech epizod s konkrétním zvoleným streamem (`[CZdab][2160p][DV]`, velikost). Kliknutím na epizodu lze ručně přepnout na jinou variantu streamu.
- **Nová priorita výběru streamů:** `CZdab > CZtit > ostatní` napříč kvalitami (tj. český dabing/titulky mají přednost i za cenu nižšího rozlišení), a uvnitř stejné kvality se preferuje HDR varianta (`DV > HDR10+ > HDR10 > HDR > SDR`).
- **Stáhnout celý seriál:** dialog kvality se nyní ptá jen jednou pro celý seriál (ne pro každou sezónu zvlášť) a následuje jeden společný preview editor.
- **Nové nastavení „TV/Přehrávač podporuje Dolby Vision"** (sekce *Offline režim a knihovna*, default **vypnuto**). Když je vypnuto, auto-výběr streamů při stahování se vyhne DV-only variantám (bez HDR10+/HDR10/HDR fallback vrstvy) — na HDR-only TV takové streamy vypadají špatně. Stream s DV + HDR fallback (což má většina release) se stále vybírá normálně (přehraje se HDR layer). DV-only zůstává viditelný v preview na konci seznamu alternativ, takže si ho můžete ručně vybrat. Zapnutí toggle vrátí původní chování (DV = nejvyšší priorita).

Jak používat (offline sezóna/seriál)
1. U seriálu zvolte **Stáhnout celou sezónu** nebo **Stáhnout celý seriál**.
2. Vyberte preferovanou kvalitu (2160/1080/720).
3. V preview zkontrolujte vybrané streamy; klikem na řádek epizody případně změňte variantu.
4. Potvrďte **POKRAČOVAT** pro zařazení do fronty.

Poznámka k HDR / Dolby Vision
- Pokud máte TV s podporou **Dolby Vision**, zapněte v *Nastavení → Offline režim a knihovna* volbu „TV/Přehrávač podporuje Dolby Vision". DV streamy se pak budou preferovat jako nejkvalitnější. Ve výchozím stavu (vypnuto) se auto-pick DV-only streamům vyhne, protože HDR-only TV by je nepřehrálo správně.

*** 20.4.2026 ***version="3.1.6"***
Hlavní změny
- **ČSFD Toplist opět funguje:** csfd.cz nasadilo novou ochranu proti botům (Anubis — proof-of-work výzva v prohlížeči). Doplněk ji teď umí vyřešit sám v Pythonu a získanou session si pamatuje, takže při dalších spuštěních probíhá ověření typicky jen jednou za ~7 dní. Když server změní klíč, ověření se automaticky zopakuje. Otrávené stránky v cache z doby výpadku se při čtení detekují a přestahují se čerstvá data.
- **Kontextová nabídka v ČSFD Toplistu:** u každého filmu i seriálu v seznamu je nově položka **„ČSFD detail (rozšířený)"** — otevře stejný náhled herců/hodnocení/komentářů z ČSFD jako máte v TMDb a Trakt nabídkách.


*** 18.4.2026 ***version="3.1.5"***
Hlavní změny
- **Probe = pravda:** pokud byl stream proben (ffprobe na Windows / HTTP-range na Androidu), jazykové tagy `CZdab`/`CZtit` se berou **výhradně z výsledku probe**, ne z názvu souboru. Konec falešných CZdab u SK audio nebo u streamů typu `Movie.EN.cz.titulky.mkv`. Filename heuristika zůstává jen jako fallback pro neproskenované streamy.
- **Manager streamů u seriálu — filtr:** v seznamu uložených streamů nahoře nová klikací položka **„Filtr: …"** s volbami **Vše / jen CZdab / jen CZtit / CZdab nebo CZtit** (poslední je union — projde stream s alespoň jedním z tagů). Výběr se zachová při proklikání mezi sezónami.
- **Manager streamů u seriálu — barevný prefix v labelu:** každý stream má kompaktní barevný prefix s jazykem (zlatě `[CZdab][CZtit]`) a technickými badge (modře `[2160p][DV][HDR10+][Atmos]`). DV a HDR10+/HDR10/HDR se zobrazují **vedle sebe** (DV je samostatná HDR technologie). Z rozlišení vždy max. 1 (nejvyšší), z HDR variant max. 1 (priorita HDR10+ > HDR10 > HDR).
- **Detekce HDR10+:** přidána detekce z názvu souboru ve variantách `HDR10+`, `HDR10plus` i `HDR10 plus`. Funguje hned i pro stávající uložené streamy bez nutnosti re-extract (prefix v listu se přepočítá z názvu).
- **Wide list view:** seznam uložených streamů u seriálu se přepne do širokého zobrazení (jako VOD streamy) — víc místa pro dlouhé názvy s prefixem.

*** 16.4.2026 ***version="3.1.4"***
Drobné úpravy v offline manageru a Poslední sledované filmy

*** 15.4.2026 ***version="3.1.3"***
Drobné úpravy v download manageru a TMDb auditu


*** 11.4.2026 ***version="3.1.2"***
Hlavní změny
- Per-seriálové omezení počtu streamů na epizodu: přidáno globální nastavení `series_max_streams_per_episode` a per-seriálový override. UI: kontextová akce "Nastavit limit streamů" a zobrazení aktuálního limitu u akce "Aktualizovat streamy".
- Stabilita offline stahování: při zařazení do fronty se už neukládá finální stahovací odkaz; worker získá čerstvý link před stahováním (dtype='download'), čímž se omezily problémy s expirovanými odkazy.
- Fronta: položky fronty nyní obsahují `display_name` (lidský název seriálu) pro korektní zobrazení v Manageru fronty místo interního storage klíče.
- Kvalita: detekce kvality bere v úvahu `features` (2160p/HDR) a výběr preferuje český dabing > české titulky > ostatní.

*** 10.4.2026 ***version="3.1.1"***
Hlavní změny
- **Manager stažených:** přehled je rozdělený **podle seriálů** (vstup do podsložky = seznam epizod). Kontextová nabídka u řádku seriálu: 
  **smazat celý seriál** z disku a z evidence cache; mazání jednotlivých epizod zůstává stejné.

*** 09.4.2026 ***version="3.0.13"***
Hlavní změny
-- Na android boxu se nezobrazovala volba "Detekuj CZ" v seriálech


*** 08.4.2026 ***version="3.0.12"***

Hlavní změny
- **Nastavení → Pokročilé a Systémové:** volitelná **cesta k ffprobe** (`ffprobe.exe`). Bez vyplnění se detekce jazyků streamů (titulky / audio) u seriálů a u položky **Detekuj CZ** ve vyhledávání Webshare provádí přes **HTTP rozmezí** (stejná logika jako dříve na Androidu), i na Windows — vhodné pro testování nebo bez instalace ffmpeg.
- **Cache výsledků detekce** (`subcaps_cache`): u nových zápisů se ukládá vazba na seriál; v **Experimentální funkce** lze smazat celou cache, cache jen pro vybraný seriál (výběr podle **názvu seriálu** z databáze) nebo jen staré záznamy bez přiřazeného seriálu.

*** 04.4.2026 ***version="3.0.11"***
Hlavní změny
  --VOD novinky ČR (Streaming Availability / RapidAPI):**
    v menu TMDb databáze , nová volba - přehled novinek s datumem premiéry

*** 27.3.2026 ***version="3.0.9"***
Hlavní změny
- **Titulky.com:** vyhledání a stažení titulků (účet volitelný), výběr výsledku v dialogu, načtení do přehrávače. Filmy: přednost anglického názvu z databáze, dotaz bez roku; u seriálů anglický / originální název show a formát `Název SxxEyy`.
- **Auto po přehrávání:** po startu streamu z doplňku (nastavení) se nabídne stejný tok jako ručně; job přes `Window` properties + `service.py` (bez importu `router_state` v integraci).
- Kontextová nabídka u epizod, filmů (TMDb) a položek ve vyhledávání Webshare.

Jak používat (Titulky)
1. **Nastavení doplňku → Titulky:** zapněte *Povolit Titulky.com*, vyberte **složku** pro stažené soubory (povinné pro stažení). Volitelně uživatel/heslo na titulky.com. Zapněte *Po startu přehrávání…* pro automatickou nabídku po začátku přehrávání z doplňku.
2. **Ručně:** kontextová položka *Titulky.com* u epizody / filmu / výsledku vyhledávání.
3. Po výběru titulku může server vyžadovat krátké čekání před stažením; titulky se uloží do zvolené složky (podsložka podle jobu) a zapnou se v přehrávači.
4. Volba *Před vyhledáním upravit dotaz* otevře klávesnici s předvyplněným textem (typicky když už je v DB anglický název filmu); u filmu bez EN v DB se klávesnice nabídne vždy.

*** 27.3.2026 ***version="3.0.8"***
- optimalizace vykreslení menu

*** 27.3.2026 ***version="3.0.7"***
Hlavní změny
- Opraveno zobrazení počtu epizod u sezón: pokud má TMDb např. 10 epizod, zobrazuje se nyní správně [0/10] 
  i když bylo nalezeno jen 7 streamů. Chybějící epizody se doplňují z TMDb a zobrazí se datum premiéry, pokud je dostupné.
- Vylepšené filtrování streamů pro obecné názvy (např. "Paradise", "Lost"): systém automaticky detekuje riziková jména 
  a nabídne volbu "Standard" (běžné, tolerantní) nebo "Agresivní" (přesné párování na TMDb), aby se zabránilo 
  míchání streamů z jiných sérií.

*** 27.3.2026 ***version="3.0.6"***
Hlavní změny
- Nový dialog detailu herce (PersonInfoWindow): filmografie, biografie, fotogalerie přímo v Kodi XML dialogu.
- Klik na film v dialogu herce spustí standardní výběr CZ/EN titulu bez ztráty navigačního kontextu.
- Tlačítko Biografie otevře fullscreen textviewer a po zavření se vrátí zpět do dialogu herce.
- EN fallback biografie: pokud TMDb nemá CZ životopis, zobrazí se automaticky anglický.
- kontext tlačítko "ČSFD detail" zobrazení v novém xml vzhledu, více přehlednější s recenzemi



*** 20.3.2026 ***version="3.0.4"***

Hlavní změny
- Rychlá detekce audio a titulků přímo z HTTP streamu na Androidu.
- Titulky bez explicitního jazyka (`und`) jsou nyní zahrnuty do vyhodnocení.
- UI: volba **Detekuj CZ** dostupná v kontextovém menu vyhledávání na Androidu. Windows používá nadále `ffprobe`.
****
Jak používat
1. Hlavní menu - Vyhledávat.
2. na nalezeném streamu V kontextovém menu zvolte **Detekuj CZ**.
3. Na Androidu se spustí range-probe (rychlé, network-friendly). Na Windows zůstává původní `ffprobe` cesta.